petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexTSGetGeometryFVM

Return precomputed geometric data

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSGetGeometryFVM(DM dm, Vec *facegeom, Vec *cellgeom, PetscReal *minRadius)

### Input Parameter

dm -The DM

### Output Parameters

| facegeom | - The values precomputed from face geometry
| cellgeom | - The values precomputed from cell geometry
| minRadius | - The minimum radius over the mesh of an inscribed sphere in a cell

### See Also

DMPlexTSSetRHSFunctionLocal()

### Level

developer

### Location

src/ts/utils/dmplexts.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages